Index: code/branches/ogre1.9/data/gui/layouts/UndockingDialog.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/UndockingDialog.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/UndockingDialog.layout	(revision 11211)
@@ -1,35 +1,34 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/Undocking/Background" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Undocking/Title" >
-            <Property Name="Text" Value="Undocking" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/Listbox" Name="orxonox/Undocking/Docks" >
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Title" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Undocking" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
+            <Window name="Docks" type="MenuWidgets/Listbox">
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Undocking/DockButton" >
-            <Property Name="Text" Value="Undock" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="UndockingDialog.undockButton_clicked"/>
+        <Window name="DockButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Undock" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
+            <Event function="UndockingDialog.undockButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Undocking/CancelButton" >
-            <Property Name="Text" Value="Cancel" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="UndockingDialog.cancelButton_clicked"/>
+        <Window name="CancelButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Cancel" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
+            <Event function="UndockingDialog.cancelButton_clicked" name="Clicked" />
         </Window>
     </Window>
Index: code/branches/ogre1.9/data/gui/schemes/GUIScheme.xsd
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/GUIScheme.xsd	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/GUIScheme.xsd	(revision 11211)
@@ -1,54 +1,56 @@
 <?xml version="1.0" ?>
 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
-    <xsd:element name="GUIScheme" type="SchemeType" />
-    <xsd:complexType name="SchemeType">
+	<xsd:element name="GUIScheme" type="SchemeType" />
+	<xsd:complexType name="SchemeType">
         <xsd:choice minOccurs="0" maxOccurs="unbounded">
-            <xsd:element name="Imageset" type="NamedDataType" />
+			<xsd:element name="Imageset" type="NamedDataType" />
             <xsd:element name="ImagesetFromImage" type="NamedDataType" />
-            <xsd:element name="Font" type="NamedDataType" />
+			<xsd:element name="Font" type="NamedDataType" />
             <xsd:element name="LookNFeel" type="FileDataType" />
-            <xsd:element name="WindowSet" type="WindowSetType" />
-            <xsd:element name="WindowRendererSet" type="WindowRendererSetType" />
-            <xsd:element name="WindowAlias" type="WindowAliasType" />
+			<xsd:element name="WindowSet" type="WindowSetType" />
+			<xsd:element name="WindowRendererSet" type="WindowRendererSetType" />
+			<xsd:element name="WindowAlias" type="WindowAliasType" />
             <xsd:element name="FalagardMapping" type="FalagardMapType" />
-        </xsd:choice>
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
+		</xsd:choice>
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+		<xsd:attribute name="version" type="xsd:nonNegativeInteger" use="optional" default="0" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowSetType">
+		<xsd:sequence>
+            <xsd:element name="WindowFactory" type="WindowFactoryType" minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowRendererSetType">
+		<xsd:sequence>
+            <xsd:element name="WindowRendererFactory" type="WindowRendererFactoryType" minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+	</xsd:complexType>
+    <xsd:complexType name="FileDataType">
+        <xsd:attribute name="filename" type="xsd:string" use="required" />
+        <xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
     </xsd:complexType>
-    <xsd:complexType name="WindowSetType">
-        <xsd:sequence>
-            <xsd:element name="WindowFactory" type="WindowFactoryType" minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowRendererSetType">
-        <xsd:sequence>
-            <xsd:element name="WindowRendererFactory" type="WindowRendererFactoryType" minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="FileDataType">
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-    <xsd:complexType name="NamedDataType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowFactoryType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowRendererFactoryType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowAliasType">
-        <xsd:attribute name="Alias" type="xsd:string" use="required" />
-        <xsd:attribute name="Target" type="xsd:string" use="required" />
-    </xsd:complexType>
+	<xsd:complexType name="NamedDataType">
+		<xsd:attribute name="name" type="xsd:string" use="optional" default="" />
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+		<xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowFactoryType">
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowRendererFactoryType">
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowAliasType">
+		<xsd:attribute name="alias" type="xsd:string" use="required" />
+		<xsd:attribute name="target" type="xsd:string" use="required" />
+	</xsd:complexType>
     <xsd:complexType name="FalagardMapType">
-        <xsd:attribute name="WindowType" type="xsd:string" use="required" />
-        <xsd:attribute name="TargetType" type="xsd:string" use="required" />
-        <xsd:attribute name="Renderer" type="xsd:string" use="required" />
-        <xsd:attribute name="LookNFeel" type="xsd:string" use="required" />
+        <xsd:attribute name="windowType" type="xsd:string" use="required" />
+        <xsd:attribute name="targetType" type="xsd:string" use="required" />
+		<xsd:attribute name="renderer" type="xsd:string" use="required" />
+        <xsd:attribute name="lookNFeel" type="xsd:string" use="required" />
+        <xsd:attribute name="renderEffect" type="xsd:string" use="optional" default="" />
     </xsd:complexType>
 </xsd:schema>
Index: code/branches/ogre1.9/data/gui/schemes/OrxonoxGUIScheme.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/OrxonoxGUIScheme.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/OrxonoxGUIScheme.scheme	(revision 11211)
@@ -1,9 +1,9 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="OrxonoxGUI">
-    <Imageset Name="MainMenuBackground" Filename="MainMenuBackground.imageset"/>
-    <Imageset Name="PickupInventory" Filename="PickupInventory.imageset"/>
-    <Font Name="BlueHighway-12" Filename="bluehighway-12.font" />
-    <Font Name="BlueHighway-10" Filename="bluehighway-10.font" />
-    <Font Name="BlueHighway-8"  Filename="bluehighway-8.font"  />
-    <Font Name="Monofur-10"     Filename="Monofur-10.font" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="OrxonoxGUI" version="5">
+    <Imageset filename="MainMenuBackground.imageset" name="MainMenuBackground" />
+    <Imageset filename="PickupInventory.imageset" name="PickupInventory" />
+    <Font filename="bluehighway-12.font" name="BlueHighway-12" />
+    <Font filename="bluehighway-10.font" name="BlueHighway-10" />
+    <Font filename="bluehighway-8.font" name="BlueHighway-8" />
+    <Font filename="Monofur-10.font" name="Monofur-10" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="OrxonoxHUDWidgets">
-    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="OrxonoxLook/StaticImage" />
-    <WindowAlias Alias="HUDWidgets/StaticText"               Target="OrxonoxLook/StaticText" />
-    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="OrxonoxLook/TabButtonPane" />
-    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="OrxonoxLook/TabContentPane" />
-    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="OrxonoxLook/Checkbox" />
-    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="OrxonoxLook/Combobox" />
-    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="OrxonoxLook/ComboDropList" />
-    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="OrxonoxLook/ComboEditbox" />
-    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="OrxonoxLook/Editbox" />
-    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="OrxonoxLook/FrameWindow" />
-    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="OrxonoxLook/GroupBox" />
-    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="OrxonoxLook/ItemListbox" />
-    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="OrxonoxLook/ListboxItem" />
-    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="OrxonoxLook/Listbox" />
-    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="OrxonoxLook/ListHeader" />
-    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="OrxonoxLook/ListHeaderSegment" />
-    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="OrxonoxLook/MultiLineEditbox" />
-    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="OrxonoxLook/Menubar" />
-    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="OrxonoxLook/MenuItem" />
-    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="OrxonoxLook/MultiColumnList" />
-    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="OrxonoxLook/PopupMenu" />
-    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="OrxonoxLook/ProgressBar" />
-    <WindowAlias Alias="HUDWidgets/Button"                   Target="OrxonoxLook/Button" />
-    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/ImageButton" />
-    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="OrxonoxLook/RadioButton" />
-    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="OrxonoxLook/SystemButton" />
-    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="OrxonoxLook/ScrollablePane" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="OrxonoxLook/HorizontalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="OrxonoxLook/VerticalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/Slider"                   Target="OrxonoxLook/Slider" />
-    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="OrxonoxLook/Spinner" />
-    <WindowAlias Alias="HUDWidgets/TabButton"                Target="OrxonoxLook/TabButton" />
-    <WindowAlias Alias="HUDWidgets/TabControl"               Target="OrxonoxLook/TabControl" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="OrxonoxLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="OrxonoxLook/SliderThumb" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="OrxonoxLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="OrxonoxLook/Titlebar" />
-    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
-    <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="OrxonoxHUDWidgets" version="5">
+    <WindowAlias alias="HUDWidgets/StaticImage" target="OrxonoxLook/StaticImage" />
+    <WindowAlias alias="HUDWidgets/StaticText" target="OrxonoxLook/StaticText" />
+    <WindowAlias alias="HUDWidgets/TabButtonPane" target="OrxonoxLook/TabButtonPane" />
+    <WindowAlias alias="HUDWidgets/TabContentPane" target="OrxonoxLook/TabContentPane" />
+    <WindowAlias alias="HUDWidgets/Checkbox" target="OrxonoxLook/Checkbox" />
+    <WindowAlias alias="HUDWidgets/Combobox" target="OrxonoxLook/Combobox" />
+    <WindowAlias alias="HUDWidgets/ComboDropList" target="OrxonoxLook/ComboDropList" />
+    <WindowAlias alias="HUDWidgets/ComboEditbox" target="OrxonoxLook/ComboEditbox" />
+    <WindowAlias alias="HUDWidgets/Editbox" target="OrxonoxLook/Editbox" />
+    <WindowAlias alias="HUDWidgets/FrameWindow" target="OrxonoxLook/FrameWindow" />
+    <WindowAlias alias="HUDWidgets/GroupBox" target="OrxonoxLook/GroupBox" />
+    <WindowAlias alias="HUDWidgets/ItemListbox" target="OrxonoxLook/ItemListbox" />
+    <WindowAlias alias="HUDWidgets/ListboxItem" target="OrxonoxLook/ListboxItem" />
+    <WindowAlias alias="HUDWidgets/Listbox" target="OrxonoxLook/Listbox" />
+    <WindowAlias alias="HUDWidgets/ListHeader" target="OrxonoxLook/ListHeader" />
+    <WindowAlias alias="HUDWidgets/ListHeaderSegment" target="OrxonoxLook/ListHeaderSegment" />
+    <WindowAlias alias="HUDWidgets/MultiLineEditbox" target="OrxonoxLook/MultiLineEditbox" />
+    <WindowAlias alias="HUDWidgets/Menubar" target="OrxonoxLook/Menubar" />
+    <WindowAlias alias="HUDWidgets/MenuItem" target="OrxonoxLook/MenuItem" />
+    <WindowAlias alias="HUDWidgets/MultiColumnList" target="OrxonoxLook/MultiColumnList" />
+    <WindowAlias alias="HUDWidgets/PopupMenu" target="OrxonoxLook/PopupMenu" />
+    <WindowAlias alias="HUDWidgets/ProgressBar" target="OrxonoxLook/ProgressBar" />
+    <WindowAlias alias="HUDWidgets/Button" target="OrxonoxLook/Button" />
+    <WindowAlias alias="HUDWidgets/ImageButton" target="OrxonoxLook/ImageButton" />
+    <WindowAlias alias="HUDWidgets/RadioButton" target="OrxonoxLook/RadioButton" />
+    <WindowAlias alias="HUDWidgets/SystemButton" target="OrxonoxLook/SystemButton" />
+    <WindowAlias alias="HUDWidgets/ScrollablePane" target="OrxonoxLook/ScrollablePane" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbar" target="OrxonoxLook/HorizontalScrollbar" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbar" target="OrxonoxLook/VerticalScrollbar" />
+    <WindowAlias alias="HUDWidgets/Slider" target="OrxonoxLook/Slider" />
+    <WindowAlias alias="HUDWidgets/Spinner" target="OrxonoxLook/Spinner" />
+    <WindowAlias alias="HUDWidgets/TabButton" target="OrxonoxLook/TabButton" />
+    <WindowAlias alias="HUDWidgets/TabControl" target="OrxonoxLook/TabControl" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbarThumb" target="OrxonoxLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/SliderThumb" target="OrxonoxLook/SliderThumb" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbarThumb" target="OrxonoxLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/Titlebar" target="OrxonoxLook/Titlebar" />
+    <WindowAlias alias="HUDWidgets/Tooltip" target="OrxonoxLook/Tooltip" />
+    <WindowAlias alias="HUDWidgets/Tree" target="OrxonoxLook/Tree" />
 </GUIScheme>
